> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Currencies

> Retrieve a list of `Currency` objects.

You can use query parameters to filter, sort, and paginate the results.



## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/currencies
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/currencies:
    get:
      tags:
        - currencies
      summary: List Currencies
      description: |-
        Retrieve a list of `Currency` objects.

        You can use query parameters to filter, sort, and paginate the results.
      operationId: v1_currencies_list
      parameters:
        - in: query
          name: currency_char_code
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by currency char code (e.g. USD, EUR). Can be multiple.


            Returns currencies with the specified char code.


            **Examples:**

            - `&currency_char_code=USD`
            - `&currency_char_codeEUR&currency_char_codeUSD`



            **Available values:**

            - `EUR` - Euro
            - `USD` - US Dollar
          explode: true
          style: form
        - in: query
          name: currency_id
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by currency ID. Can be multiple.


            Returns currencies with the specified ID.


            **Examples:**

            - `&currency_id=1`
            - `&currency_id=1&currency_id=2`



            **Available values:**

            - `1` - US Dollar
            - `2` - Euro
          explode: true
          style: form
        - name: limit
          required: false
          in: query
          description: Number of results to return per page. Maximum is `100`.
          schema:
            type: integer
        - in: query
          name: name_en
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: ordering
          schema:
            type: array
            items:
              type: string
              enum:
                - '-char_code'
                - '-name_en'
                - '-number_code'
                - char_code
                - name_en
                - number_code
          description: >-
            Ordering of the results.


            Default sort order is ascending. Put `-` before value for descending
            sort order: `-id`.


            For sorting by multiple parameters write them as comma separated
            string: `-client_id,id`.



            - `char_code` - Char code

            - `-char_code` - Char code (descending)

            - `number_code` - Number code

            - `-number_code` - Number code (descending)

            - `name_en` - Name en

            - `-name_en` - Name en (descending)
          explode: false
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCurrencyForOrgList'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedCurrencyForOrgList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CurrencyForOrg'
    CurrencyForOrg:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        char_code:
          type: string
          description: Currency iso4217 char code
          pattern: ^[A-Z]{3}$
          maxLength: 3
        number_code:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          description: Currency iso4217 number code
        name_en:
          type: string
          description: Currency name english
          maxLength: 255
        symbol:
          type: string
          nullable: true
          description: Currency symbol, for example '$'
          maxLength: 10
      required:
        - char_code
        - id
        - name_en
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````